> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a static input

> Deletes a static input. Cannot delete if it has events in a batch.



## OpenAPI

````yaml DELETE /projects/{project_id}/static_inputs/{static_input_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/static_inputs/{static_input_id}:
    delete:
      summary: Delete a static input
      description: Deletes a static input. Cannot delete if it has events in a batch.
      operationId: delete-static-input
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: static_input_id
          in: path
          schema:
            type: integer
          required: true
      responses:
        '204':
          description: 204 No Content
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Static input cannot be deleted
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````